commit:     daa0e8dab5175a183e702f75ccee64a40a77e0a7
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 14 18:35:50 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sun Jun 14 18:49:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=daa0e8da

sys-fs/squashfs-tools-ng: Version bump to 1.0.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-fs/squashfs-tools-ng/Manifest                  |  1 +
 ...0-extras-Pass-flags-argument-to-fix-build.patch | 65 ++++++++++++++++++++++
 .../squashfs-tools-ng-1.0.0.ebuild                 | 55 ++++++++++++++++++
 3 files changed, 121 insertions(+)

diff --git a/sys-fs/squashfs-tools-ng/Manifest 
b/sys-fs/squashfs-tools-ng/Manifest
index a356303181a..9e06bf6abec 100644
--- a/sys-fs/squashfs-tools-ng/Manifest
+++ b/sys-fs/squashfs-tools-ng/Manifest
@@ -1 +1,2 @@
 DIST squashfs-tools-ng-0.9.1.tar.xz 1026036 BLAKE2B 
3e0a0acf5b11ea42bad2149a9b97442739f1eceacfc0f5b009403d4616fcd02d69082e2e0721be3a1d6d9ba67ce6287b12ea13fba6409cb751e844f5d48ce7ea
 SHA512 
eb550430917f267ec1ef1d11795167a6893031fc184f914170679cd24c16930a8f73a2b04a349ce1602e80a327957db7935369965a892fbe4904b6e01bb48b5c
+DIST squashfs-tools-ng-1.0.0.tar.xz 1079912 BLAKE2B 
b7a9e4cafc31c0058d73b1a8b69125f92d753214f6e9f0372558271bbd8df163d9b3bf3fea45b96da5044c86e75affc2bfd27826d3725a35fbb417e443cf6ccb
 SHA512 
536f12aa53214f88739cea0d26c55e04434c284935ff1d59ee8f5108acd92fc11e800e42e3a112524d09dbd1fa50c4f15c3211ff5d02ae50b7fa137600d2ae15

diff --git 
a/sys-fs/squashfs-tools-ng/files/squashfs-tools-ng-1.0.0-extras-Pass-flags-argument-to-fix-build.patch
 
b/sys-fs/squashfs-tools-ng/files/squashfs-tools-ng-1.0.0-extras-Pass-flags-argument-to-fix-build.patch
new file mode 100644
index 00000000000..e61d881c74b
--- /dev/null
+++ 
b/sys-fs/squashfs-tools-ng/files/squashfs-tools-ng-1.0.0-extras-Pass-flags-argument-to-fix-build.patch
@@ -0,0 +1,65 @@
+From 4c10a491a2ddfcdc3226431a71aefd6ca71135d4 Mon Sep 17 00:00:00 2001
+From: Matt Turner <[email protected]>
+Date: Sat, 13 Jun 2020 11:05:49 -0700
+Subject: [PATCH] extras: Pass flags argument to fix build
+
+Missed in commit 259a98985b4f (Add flags to functions that might
+logically be expanded in the future)
+
+Signed-off-by: Matt Turner <[email protected]>
+---
+ extras/browse.c | 10 +++++-----
+ 1 file changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/extras/browse.c b/extras/browse.c
+index ef4e223..86ce788 100644
+--- a/extras/browse.c
++++ b/extras/browse.c
+@@ -63,7 +63,7 @@ static void list_directory(const char *dirname)
+ 
+       /* Get the directory inode we want to dump and open the directory */
+       if (dirname == NULL) {
+-              ret = sqfs_dir_reader_open_dir(dr, working_dir);
++              ret = sqfs_dir_reader_open_dir(dr, working_dir, 0);
+               if (ret)
+                       goto fail_open;
+       } else if (*dirname == '/') {
+@@ -74,7 +74,7 @@ static void list_directory(const char *dirname)
+               if (ret)
+                       goto fail_resolve;
+ 
+-              ret = sqfs_dir_reader_open_dir(dr, inode);
++              ret = sqfs_dir_reader_open_dir(dr, inode, 0);
+               free(inode);
+               if (ret)
+                       goto fail_open;
+@@ -84,7 +84,7 @@ static void list_directory(const char *dirname)
+               if (ret)
+                       goto fail_resolve;
+ 
+-              ret = sqfs_dir_reader_open_dir(dr, inode);
++              ret = sqfs_dir_reader_open_dir(dr, inode, 0);
+               free(inode);
+               if (ret)
+                       goto fail_open;
+@@ -526,7 +526,7 @@ int main(int argc, char **argv)
+       }
+ 
+       /* create a directory reader and get the root inode */
+-      dr = sqfs_dir_reader_create(&super, cmp, file);
++      dr = sqfs_dir_reader_create(&super, cmp, file, 0);
+       if (dr == NULL) {
+               fprintf(stderr, "%s: error creating directory reader.\n",
+                       argv[1]);
+@@ -539,7 +539,7 @@ int main(int argc, char **argv)
+       }
+ 
+       /* create a data reader */
+-      data = sqfs_data_reader_create(file, super.block_size, cmp);
++      data = sqfs_data_reader_create(file, super.block_size, cmp, 0);
+ 
+       if (data == NULL) {
+               fprintf(stderr, "%s: error creating data reader.\n",
+-- 
+2.26.2
+

diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-1.0.0.ebuild 
b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-1.0.0.ebuild
new file mode 100644
index 00000000000..e9e3aff7cec
--- /dev/null
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-1.0.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A new set of tools for working with SquashFS images"
+HOMEPAGE="https://github.com/AgentD/squashfs-tools-ng";
+if [[ ${PV} = 9999* ]]; then
+       inherit autotools git-r3
+       EGIT_REPO_URI="https://github.com/AgentD/${PN}.git";
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+       SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz";
+fi
+
+LICENSE="LGPL-3+ tools? ( GPL-3+ )"
+SLOT="0"
+IUSE="lz4 lzo selinux +tools +xz zstd"
+
+DEPEND="
+       sys-libs/zlib:=
+       lz4?     ( app-arch/lz4:= )
+       lzo?     ( dev-libs/lzo:= )
+       xz?      ( app-arch/xz-utils:= )
+       selinux? ( sys-libs/libselinux:= )
+       zstd?    ( app-arch/zstd:= )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-extras-Pass-flags-argument-to-fix-build.patch
+)
+
+src_prepare() {
+       default
+       [[ ${PV} == "9999" ]] && eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               --disable-static
+               $(use_with lz4)
+               $(use_with lzo)
+               $(use_with selinux)
+               $(use_with tools)
+               $(use_with xz)
+               $(use_with zstd)
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name "*.la" -delete || die
+}

Reply via email to